#include <stdio.h>
#include <stdlib.h>

int main()
{
	int j, k; 
	double **a; // ポインタとして宣言する（アスタリスク（*）は2つ）
	
	// 配列aを3×5個確保
	a = (double**)malloc(sizeof(double*)*3); 
	
	for (j = 0; j < 3; j++)	a[j] = (double*)malloc(sizeof(double)*5); 
	
	
	// a[j][k]に値を代入
	for (j = 0; j < 3; j++)
	{
		for (k = 0; k < 5; k++)	a[j][k] = (double)(j*k); 
	}
	
	for (j = 0; j < 3; j++)
	{
		for (k = 0; k < 5; k++)	printf("a[%d][%d] = %f\n", j, k, a[j][k]); 
	}
	
	// 配列aを解放
	free(a); 
	
	return 0; 
}